package cn.com.qmth.examcloud.core.examwork.dao.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import javax.persistence.Id;
import javax.persistence.Index;
import javax.persistence.Table;

import cn.com.qmth.examcloud.api.commons.enums.PublishStatus;
import cn.com.qmth.examcloud.web.jpa.JpaEntity;
import cn.com.qmth.examcloud.web.jpa.WithIdJpaEntity;

/**
 * 公告发布进度实体
 * 
 * @author lideyin
 * @date 20100701
 */
@Entity
@Table(name = "EC_E_NOTICE_PUBLISH_SCHEDULE", indexes = {
		@Index(name = "IDX_E_NOTICE_PUBLISH_SCHEDULE_001001", columnList = "rootOrgId", unique = false),
		@Index(name = "IDX_E_NOTICE_PUBLISH_SCHEDULE_001002", columnList = "rootOrgId,noticeId", unique = true)})
public class NoticePublishScheduleEntity extends WithIdJpaEntity {

	private static final long serialVersionUID = 7071809872436511009L;

	/**
	 * 公告id
	 */
	private Long noticeId;

	/**
	 * 学校id
	 */
	@Column(nullable = false)
	private Long rootOrgId;

	/**
	 * 发布状态
	 */
	@Column(nullable = false)
	@Enumerated(EnumType.STRING)
	private PublishStatus publishStatus;

	/**
	 * 已发布的最大用户id
	 */
	private Long maxStudentId;

	/**
	 * 已发布的最大用户id
	 */
	private Long maxCommonUserId;

	public Long getNoticeId() {
		return noticeId;
	}

	public void setNoticeId(Long noticeId) {
		this.noticeId = noticeId;
	}

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public PublishStatus getPublishStatus() {
		return publishStatus;
	}

	public void setPublishStatus(PublishStatus publishStatus) {
		this.publishStatus = publishStatus;
	}

	public Long getMaxStudentId() {
		return maxStudentId;
	}

	public void setMaxStudentId(Long maxStudentId) {
		this.maxStudentId = maxStudentId;
	}

	public Long getMaxCommonUserId() {
		return maxCommonUserId;
	}

	public void setMaxCommonUserId(Long maxCommonUserId) {
		this.maxCommonUserId = maxCommonUserId;
	}
}
