/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-08-31 09:28:53.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.examwork.service;

import cn.com.qmth.examcloud.api.commons.exchange.PageInfo;
import cn.com.qmth.examcloud.api.commons.security.bean.UserType;
import cn.com.qmth.examcloud.core.examwork.service.bean.NoticeInfo;
import cn.com.qmth.examcloud.core.examwork.service.bean.NoticeInfoQuery;
import cn.com.qmth.examcloud.core.examwork.service.bean.UserNoticeInfo;
import cn.com.qmth.examcloud.core.examwork.service.bean.UserNoticeInfoQuery;

import java.util.List;

/**
 * 用户通知接口
 */
public interface NoticeService {

    /**
     * 获取用户通知列表
     * @param query
     * @return
     */
    List<UserNoticeInfo> getNoticeList(UserNoticeInfoQuery query);

    /**
     *  更新用户的通知状态为已读
     * @param noticeId  通知id（多个以逗号分隔）
     * @param userType 用户类型
     * @param userId 用户id
     * @return
     */
    int updateNoticeReadStatus(String noticeId, UserType userType, Long userId);

    /**
     * 分页获取通知列表
     * @param curPage
     * @param pageSize
     * @param infoQuery
     * @return
     */
    PageInfo<NoticeInfo> getPagedNoticeList(Integer curPage, Integer pageSize, NoticeInfoQuery infoQuery);
}